tocData = [
  ["Quick Reference","AutoHotkey.htm"],
  ["Usage and Syntax","",
  [
    ["Using the Program","Program.htm"],
    ["Concepts and Conventions","Concepts.htm"],
    ["Scripting Language","Language.htm"],
    ["Hotkeys","Hotkeys.htm"],
    ["Hotstrings","Hotstrings.htm"],
    ["Remapping Keys","misc/Remap.htm"],
    ["List of Keys","KeyList.htm"],
    ["Scripts (misc)","Scripts.htm"],
    ["Variables and Expressions","Variables.htm"],
    ["Functions","Functions.htm"],
    ["Labels","misc/Labels.htm"],
    ["Threads","misc/Threads.htm"],
    ["Debugging Clients","AHKL_DBGPClients.htm"],
    ["Compiler Directives","misc/Ahk2ExeDirectives.htm"],
    ["Objects","Objects.htm",
    [
      ["Basic Usage","Objects.htm#Usage"],
      ["Extended Usage","Objects.htm#Extended_Usage"],
      ["Custom Objects","Objects.htm#Custom_Objects"],
      ["Default Base Object","Objects.htm#Default_Base_Object"],
      ["Implementation","Objects.htm#Implementation"]
    ]]
  ]],
  ["Frequently Asked Questions","FAQ.htm"],
  ["Tutorial (quick start)","Tutorial.htm"],
  ["Recent Changes","AHKL_ChangeLog.htm"],
  ["Script Showcase","scripts/index.htm"],
  ["Script Compatibility","Compat.htm"],
  ["Command and Function Index","commands/index.htm"],
  ["Environment","",
  [
    ["ClipWait","commands/ClipWait.htm"],
    ["EnvGet","commands/EnvGet.htm"],
    ["EnvSet","commands/EnvSet.htm"],
    ["EnvUpdate","commands/EnvUpdate.htm"],
    ["OnClipboardChange","commands/OnClipboardChange.htm"],
    ["SysGet","commands/SysGet.htm"]
  ]],
  ["External Libraries","",
  [
    ["DllCall()","commands/DllCall.htm"],
    ["NumGet()","commands/NumGet.htm"],
    ["NumPut()","commands/NumPut.htm"],
    ["RegisterCallback()","commands/RegisterCallback.htm"],
    ["StrGet()","commands/StrGet.htm"],
    ["StrPut()","commands/StrPut.htm"],
    ["VarSetCapacity()","commands/VarSetCapacity.htm"],
    ["COM","",
    [
      ["ComObjActive()","commands/ComObjActive.htm"],
      ["ComObjArray()","commands/ComObjArray.htm"],
      ["ComObjConnect()","commands/ComObjConnect.htm"],
      ["ComObjCreate()","commands/ComObjCreate.htm"],
      ["ComObjGet()","commands/ComObjGet.htm"],
      ["ComObjError()","commands/ComObjError.htm"],
      ["ComObjFlags()","commands/ComObjFlags.htm"],
      ["ComObjQuery()","commands/ComObjQuery.htm"],
      ["ComObjType()","commands/ComObjType.htm"],
      ["ComObjValue()","commands/ComObjValue.htm"],
      ["ObjAddRef() / ObjRelease()","commands/ObjAddRef.htm"]
    ]]
  ]],
  ["File, Directory and Disk","",
  [
    ["Drive","commands/Drive.htm"],
    ["DriveGet","commands/DriveGet.htm"],
    ["DriveSpaceFree","commands/DriveSpaceFree.htm"],
    ["FileAppend","commands/FileAppend.htm"],
    ["FileCopy","commands/FileCopy.htm"],
    ["FileCopyDir","commands/FileCopyDir.htm"],
    ["FileCreateDir","commands/FileCreateDir.htm"],
    ["FileCreateShortcut","commands/FileCreateShortcut.htm"],
    ["FileDelete","commands/FileDelete.htm"],
    ["FileEncoding","commands/FileEncoding.htm"],
    ["FileExist()","commands/FileExist.htm"],
    ["FileGetAttrib","commands/FileGetAttrib.htm"],
    ["FileGetShortcut","commands/FileGetShortcut.htm"],
    ["FileGetSize","commands/FileGetSize.htm"],
    ["FileGetTime","commands/FileGetTime.htm"],
    ["FileGetVersion","commands/FileGetVersion.htm"],
    ["FileInstall","commands/FileInstall.htm"],
    ["FileMove","commands/FileMove.htm"],
    ["FileMoveDir","commands/FileMoveDir.htm"],
    ["FileOpen()","commands/FileOpen.htm"],
    ["FileReadLine","commands/FileReadLine.htm"],
    ["FileRead","commands/FileRead.htm"],
    ["FileRecycle","commands/FileRecycle.htm"],
    ["FileRecycleEmpty","commands/FileRecycleEmpty.htm"],
    ["FileRemoveDir","commands/FileRemoveDir.htm"],
    ["FileSelectFile","commands/FileSelectFile.htm"],
    ["FileSelectFolder","commands/FileSelectFolder.htm"],
    ["FileSetAttrib","commands/FileSetAttrib.htm"],
    ["FileSetTime","commands/FileSetTime.htm"],
    ["If[Not]Exist","commands/IfExist.htm"],
    ["IniDelete","commands/IniDelete.htm"],
    ["IniRead","commands/IniRead.htm"],
    ["IniWrite","commands/IniWrite.htm"],
    ["Long Paths","misc/LongPaths.htm"],
    ["Loop (files & folders)","commands/LoopFile.htm"],
    ["Loop (read file contents)","commands/LoopReadFile.htm"],
    ["SetWorkingDir","commands/SetWorkingDir.htm"],
    ["SplitPath","commands/SplitPath.htm"]
  ]],
  ["Flow of Control","",
  [
    ["#Include[Again]","commands/_Include.htm"],
    ["{ ... } (block)","commands/Block.htm"],
    ["Break","commands/Break.htm"],
    ["Catch","commands/Catch.htm"],
    ["Continue","commands/Continue.htm"],
    ["Critical","commands/Critical.htm"],
    ["Else","commands/Else.htm"],
    ["Exit","commands/Exit.htm"],
    ["ExitApp","commands/ExitApp.htm"],
    ["Finally","commands/Finally.htm"],
    ["For-loop","commands/For.htm"],
    ["Gosub","commands/Gosub.htm"],
    ["Goto","commands/Goto.htm"],
    ["If","commands/IfExpression.htm",
    [
      ["If (traditional)","commands/IfEqual.htm"],
      ["If (expression)","commands/IfExpression.htm"],
      ["If var [not] between Low and High","commands/IfBetween.htm"],
      ["If var is [not] type","commands/IfIs.htm"],
      ["If var [not] in/contains MatchList","commands/IfIn.htm"],
      ["If[Not]Exist","commands/IfExist.htm"],
      ["If[Not]InString","commands/IfInString.htm"],
      ["IfMsgBox","commands/IfMsgBox.htm"],
      ["IfWin[Not]Active","commands/WinActive.htm"],
      ["IfWin[Not]Exist","commands/WinExist.htm"]
    ]],
    ["Loop","commands/Loop.htm",
    [
      ["Loop","commands/Loop.htm"],
      ["Loop (files & folders)","commands/LoopFile.htm"],
      ["Loop (parse a string)","commands/LoopParse.htm"],
      ["Loop (read file contents)","commands/LoopReadFile.htm"],
      ["Loop (registry)","commands/LoopReg.htm"]
    ]],
    ["OnError()","commands/OnError.htm"],
    ["OnExit","commands/OnExit.htm"],
    ["Pause","commands/Pause.htm"],
    ["Reload","commands/Reload.htm"],
    ["Return","commands/Return.htm"],
    ["SetBatchLines","commands/SetBatchLines.htm"],
    ["SetTimer","commands/SetTimer.htm"],
    ["Sleep","commands/Sleep.htm"],
    ["Suspend","commands/Suspend.htm"],
    ["Switch","commands/Switch.htm"],
    ["Thread","commands/Thread.htm"],
    ["Throw","commands/Throw.htm"],
    ["Try","commands/Try.htm"],
    ["Until","commands/Until.htm"],
    ["While-loop","commands/While.htm"]
  ]],
  ["Graphical User Interfaces","",
  [
    ["FileSelectFile","commands/FileSelectFile.htm"],
    ["FileSelectFolder","commands/FileSelectFolder.htm"],
    ["Gui","commands/Gui.htm"],
    ["Gui control types","commands/GuiControls.htm"],
    ["GuiControl","commands/GuiControl.htm"],
    ["GuiControlGet","commands/GuiControlGet.htm"],
    ["Gui ListView control","commands/ListView.htm"],
    ["Gui TreeView control","commands/TreeView.htm"],
    ["IfMsgBox","commands/IfMsgBox.htm"],
    ["Image Handles","misc/ImageHandles.htm"],
    ["InputBox","commands/InputBox.htm"],
    ["LoadPicture()","commands/LoadPicture.htm"],
    ["Menu","commands/Menu.htm"],
    ["MenuGetHandle()","commands/MenuGetHandle.htm"],
    ["MenuGetName()","commands/MenuGetName.htm"],
    ["MsgBox","commands/MsgBox.htm"],
    ["OnMessage()","commands/OnMessage.htm"],
    ["Progress","commands/Progress.htm"],
    ["SplashImage","commands/Progress.htm"],
    ["SplashTextOn/SplashTextOff","commands/SplashTextOn.htm"],
    ["Standard Windows Fonts","misc/FontsStandard.htm"],
    ["Styles for a window/control","misc/Styles.htm"],
    ["ToolTip","commands/ToolTip.htm"],
    ["TrayTip","commands/TrayTip.htm"]
  ]],
  ["Maths","commands/Math.htm",
  [
    ["Abs()","commands/Math.htm#Abs"],
    ["Ceil()","commands/Math.htm#Ceil"],
    ["EnvAdd (and date math)","commands/EnvAdd.htm"],
    ["EnvDiv","commands/EnvDiv.htm"],
    ["EnvMult","commands/EnvMult.htm"],
    ["EnvSub (and date diff)","commands/EnvSub.htm"],
    ["Exp()","commands/Math.htm#Exp"],
    ["Floor()","commands/Math.htm#Floor"],
    ["Log()","commands/Math.htm#Log"],
    ["Ln()","commands/Math.htm#Ln"],
    ["Max()","commands/Math.htm#Max"],
    ["Min()","commands/Math.htm#Min"],
    ["Mod()","commands/Math.htm#Mod"],
    ["Random","commands/Random.htm"],
    ["Round()","commands/Math.htm#Round"],
    ["SetFormat","commands/SetFormat.htm"],
    ["Sqrt()","commands/Math.htm#Sqrt"],
    ["Sin() / Cos() / Tan()","commands/Math.htm#Sin"],
    ["ASin() / ACos() / ATan()","commands/Math.htm#ASin"],
    ["Transform","commands/Transform.htm"]
  ]],
  ["Mouse and Keyboard","",
  [
    ["Hotkeys and Hotstrings","Hotkeys.htm",
    [
      ["#HotkeyInterval","commands/_HotkeyInterval.htm"],
      ["#HotkeyModifierTimeout","commands/_HotkeyModifierTimeout.htm"],
      ["#Hotstring","commands/_Hotstring.htm"],
      ["#If","commands/_If.htm"],
      ["#IfTimeOut","commands/_IfTimeout.htm"],
      ["#IfWin[Not]Active","commands/_IfWinActive.htm"],
      ["#IfWin[Not]Exist","commands/_IfWinActive.htm"],
      ["#InputLevel","commands/_InputLevel.htm"],
      ["#MaxHotkeysPerInterval","commands/_MaxHotkeysPerInterval.htm"],
      ["#MaxThreads","commands/_MaxThreads.htm"],
      ["#MaxThreadsBuffer","commands/_MaxThreadsBuffer.htm"],
      ["#MaxThreadsPerHotkey","commands/_MaxThreadsPerHotkey.htm"],
      ["#MenuMaskKey","commands/_MenuMaskKey.htm"],
      ["#UseHook","commands/_UseHook.htm"],
      ["Hotkey","commands/Hotkey.htm"],
      ["Hotstring()","commands/Hotstring.htm"],
      ["Hotstrings & auto-replace","Hotstrings.htm"],
      ["ListHotkeys","commands/ListHotkeys.htm"],
      ["Suspend","commands/Suspend.htm"]
    ]],
    ["#InstallKeybdHook","commands/_InstallKeybdHook.htm"],
    ["#InstallMouseHook","commands/_InstallMouseHook.htm"],
    ["#KeyHistory","commands/_KeyHistory.htm"],
    ["BlockInput","commands/BlockInput.htm"],
    ["Click","commands/Click.htm"],
    ["ControlClick","commands/ControlClick.htm"],
    ["ControlSend[Raw]","commands/ControlSend.htm"],
    ["CoordMode","commands/CoordMode.htm"],
    ["GetKeyName()","commands/GetKey.htm"],
    ["GetKeySC()","commands/GetKey.htm"],
    ["GetKeyState","commands/GetKeyState.htm"],
    ["GetKeyVK()","commands/GetKey.htm"],
    ["List of Keys","KeyList.htm"],
    ["KeyHistory","commands/KeyHistory.htm"],
    ["KeyWait","commands/KeyWait.htm"],
    ["Input","commands/Input.htm"],
    ["InputHook()","commands/InputHook.htm"],
    ["MouseClick","commands/MouseClick.htm"],
    ["MouseClickDrag","commands/MouseClickDrag.htm"],
    ["MouseGetPos","commands/MouseGetPos.htm"],
    ["MouseMove","commands/MouseMove.htm"],
    ["Send[Raw|Input|Play|Event]","commands/Send.htm"],
    ["SendLevel","commands/SendLevel.htm"],
    ["SendMode","commands/SendMode.htm"],
    ["SetCapsLockState","commands/SetNumScrollCapsLockState.htm"],
    ["SetDefaultMouseSpeed","commands/SetDefaultMouseSpeed.htm"],
    ["SetKeyDelay","commands/SetKeyDelay.htm"],
    ["SetMouseDelay","commands/SetMouseDelay.htm"],
    ["SetNumLockState","commands/SetNumScrollCapsLockState.htm"],
    ["SetScrollLockState","commands/SetNumScrollCapsLockState.htm"],
    ["SetStoreCapsLockMode","commands/SetStoreCapslockMode.htm"]
  ]],
  ["Misc.","",
  [
    ["AutoTrim","commands/AutoTrim.htm"],
    ["Edit","commands/Edit.htm"],
    ["Func()","commands/Func.htm"],
    ["IsByRef()","commands/IsByRef.htm"],
    ["IsFunc()","commands/IsFunc.htm"],
    ["IsLabel()","commands/IsLabel.htm"],
    ["IsObject()","commands/IsObject.htm"],
    ["ListLines","commands/ListLines.htm"],
    ["ListVars","commands/ListVars.htm"],
    ["OutputDebug","commands/OutputDebug.htm"],
    ["Transform","commands/Transform.htm"],
    ["URLDownloadToFile","commands/URLDownloadToFile.htm"],
    ["VarSetCapacity()","commands/VarSetCapacity.htm"]
  ]],
  ["Object Types","",
  [
    ["Object","objects/Object.htm"],
    ["Enumerator Object","objects/Enumerator.htm"],
    ["Exception Object","commands/Throw.htm#Exception"],
    ["File Object","objects/File.htm"],
    ["Func Object","objects/Func.htm"],
    ["Function Objects","objects/Functor.htm"],
    ["RegExMatch Object","commands/RegExMatch.htm#MatchObject"]
  ]],
  ["Process","",
  [
    ["Process","commands/Process.htm"],
    ["Run[Wait]","commands/Run.htm"],
    ["RunAs","commands/RunAs.htm"],
    ["Shutdown","commands/Shutdown.htm"]
  ]],
  ["Registry","",
  [
    ["Loop (registry)","commands/LoopReg.htm"],
    ["RegDelete","commands/RegDelete.htm"],
    ["RegRead","commands/RegRead.htm"],
    ["RegWrite","commands/RegWrite.htm"],
    ["SetRegView","commands/SetRegView.htm"]
  ]],
  ["Screen","",
  [
    ["ImageSearch","commands/ImageSearch.htm"],
    ["PixelGetColor","commands/PixelGetColor.htm"],
    ["PixelSearch","commands/PixelSearch.htm"]
  ]],
  ["Sound","",
  [
    ["SoundBeep","commands/SoundBeep.htm"],
    ["SoundGet","commands/SoundGet.htm"],
    ["SoundGetWaveVolume","commands/SoundGetWaveVolume.htm"],
    ["SoundPlay","commands/SoundPlay.htm"],
    ["SoundSet","commands/SoundSet.htm"],
    ["SoundSetWaveVolume","commands/SoundSetWaveVolume.htm"]
  ]],
  ["String","",
  [
    ["Asc()","commands/Asc.htm"],
    ["Chr()","commands/Chr.htm"],
    ["Format()","commands/Format.htm"],
    ["FormatTime","commands/FormatTime.htm"],
    ["If[Not]InString","commands/IfInString.htm"],
    ["If var [not] in/contains MatchList","commands/IfIn.htm"],
    ["InStr()","commands/InStr.htm"],
    ["Loop (parse a string)","commands/LoopParse.htm"],
    ["Ord()","commands/Ord.htm"],
    ["RegEx Quick Reference","misc/RegEx-QuickRef.htm"],
    ["RegExMatch()","commands/RegExMatch.htm"],
    ["RegExReplace()","commands/RegExReplace.htm"],
    ["SetEnv (var = value)","commands/SetEnv.htm"],
    ["SetFormat","commands/SetFormat.htm"],
    ["Sort","commands/Sort.htm"],
    ["StringCaseSense","commands/StringCaseSense.htm"],
    ["StringGetPos","commands/StringGetPos.htm"],
    ["StringLeft/StringRight","commands/StringLeft.htm"],
    ["StringLen","commands/StringLen.htm"],
    ["StringLower/StringUpper","commands/StringLower.htm"],
    ["StringMid","commands/StringMid.htm"],
    ["StringReplace","commands/StringReplace.htm"],
    ["StringSplit","commands/StringSplit.htm"],
    ["StringTrimLeft/StringTrimRight","commands/StringTrimLeft.htm"],
    ["StrGet()","commands/StrGet.htm"],
    ["StrLen()","commands/StringLen.htm"],
    ["StrPut()","commands/StrPut.htm"],
    ["StrReplace()","commands/StringReplace.htm"],
    ["StrSplit()","commands/StringSplit.htm"],
    ["SubStr()","commands/SubStr.htm"],
    ["Trim() / LTrim() / RTrim()","commands/Trim.htm"]
  ]],
  ["Window","",
  [
    ["Controls","",
    [
      ["Control","commands/Control.htm"],
      ["ControlClick","commands/ControlClick.htm"],
      ["ControlFocus","commands/ControlFocus.htm"],
      ["ControlGet","commands/ControlGet.htm"],
      ["ControlGetFocus","commands/ControlGetFocus.htm"],
      ["ControlGetPos","commands/ControlGetPos.htm"],
      ["ControlGetText","commands/ControlGetText.htm"],
      ["ControlMove","commands/ControlMove.htm"],
      ["ControlSend[Raw]","commands/ControlSend.htm"],
      ["ControlSetText","commands/ControlSetText.htm"],
      ["Menu","commands/Menu.htm"],
      ["PostMessage/SendMessage","commands/PostMessage.htm"],
      ["SetControlDelay","commands/SetControlDelay.htm"],
      ["WinMenuSelectItem","commands/WinMenuSelectItem.htm"]
    ]],
    ["Window Groups","",
    [
      ["GroupActivate","commands/GroupActivate.htm"],
      ["GroupAdd","commands/GroupAdd.htm"],
      ["GroupClose","commands/GroupClose.htm"],
      ["GroupDeactivate","commands/GroupDeactivate.htm"]
    ]],
    ["Window Titles","misc/WinTitle.htm"],
    ["#WinActivateForce","commands/_WinActivateForce.htm"],
    ["DetectHiddenText","commands/DetectHiddenText.htm"],
    ["DetectHiddenWindows","commands/DetectHiddenWindows.htm"],
    ["IfWin[Not]Active","commands/WinActive.htm"],
    ["IfWin[Not]Exist","commands/WinExist.htm"],
    ["SetTitleMatchMode","commands/SetTitleMatchMode.htm"],
    ["SetWinDelay","commands/SetWinDelay.htm"],
    ["StatusBarGetText","commands/StatusBarGetText.htm"],
    ["StatusBarWait","commands/StatusBarWait.htm"],
    ["WinActivate","commands/WinActivate.htm"],
    ["WinActivateBottom","commands/WinActivateBottom.htm"],
    ["WinActive()","commands/WinActive.htm"],
    ["WinClose","commands/WinClose.htm"],
    ["WinExist()","commands/WinExist.htm"],
    ["WinGet","commands/WinGet.htm"],
    ["WinGetActiveStats","commands/WinGetActiveStats.htm"],
    ["WinGetActiveTitle","commands/WinGetActiveTitle.htm"],
    ["WinGetClass","commands/WinGetClass.htm"],
    ["WinGetPos","commands/WinGetPos.htm"],
    ["WinGetText","commands/WinGetText.htm"],
    ["WinGetTitle","commands/WinGetTitle.htm"],
    ["WinHide","commands/WinHide.htm"],
    ["WinKill","commands/WinKill.htm"],
    ["WinMaximize","commands/WinMaximize.htm"],
    ["WinMinimize","commands/WinMinimize.htm"],
    ["WinMinimizeAll[Undo]","commands/WinMinimizeAll.htm"],
    ["WinMove","commands/WinMove.htm"],
    ["WinRestore","commands/WinRestore.htm"],
    ["WinSet","commands/WinSet.htm"],
    ["WinSetTitle","commands/WinSetTitle.htm"],
    ["WinShow","commands/WinShow.htm"],
    ["WinWait","commands/WinWait.htm"],
    ["WinWait[Not]Active","commands/WinWaitActive.htm"],
    ["WinWaitClose","commands/WinWaitClose.htm"]
  ]],
  ["#Directives","",
  [
    ["#AllowSameLineComments","commands/_AllowSameLineComments.htm"],
    ["#ClipboardTimeout","commands/_ClipboardTimeout.htm"],
    ["#CommentFlag","commands/_CommentFlag.htm"],
    ["#ErrorStdOut","commands/_ErrorStdOut.htm"],
    ["#EscapeChar","commands/_EscapeChar.htm"],
    ["#HotkeyInterval","commands/_HotkeyInterval.htm"],
    ["#HotkeyModifierTimeout","commands/_HotkeyModifierTimeout.htm"],
    ["#Hotstring","commands/_Hotstring.htm"],
    ["#If","commands/_If.htm"],
    ["#IfWin[Not]Active","commands/_IfWinActive.htm"],
    ["#IfWin[Not]Exist","commands/_IfWinActive.htm"],
    ["#IfTimeout","commands/_IfTimeout.htm"],
    ["#Include[Again]","commands/_Include.htm"],
    ["#InputLevel","commands/_InputLevel.htm"],
    ["#InstallKeybdHook","commands/_InstallKeybdHook.htm"],
    ["#InstallMouseHook","commands/_InstallMouseHook.htm"],
    ["#KeyHistory","commands/_KeyHistory.htm"],
    ["#MaxHotkeysPerInterval","commands/_MaxHotkeysPerInterval.htm"],
    ["#MaxMem","commands/_MaxMem.htm"],
    ["#MaxThreads","commands/_MaxThreads.htm"],
    ["#MaxThreadsBuffer","commands/_MaxThreadsBuffer.htm"],
    ["#MaxThreadsPerHotkey","commands/_MaxThreadsPerHotkey.htm"],
    ["#MenuMaskKey","commands/_MenuMaskKey.htm"],
    ["#NoEnv","commands/_NoEnv.htm"],
    ["#NoTrayIcon","commands/_NoTrayIcon.htm"],
    ["#Persistent","commands/_Persistent.htm"],
    ["#Requires","commands/_Requires.htm"],
    ["#SingleInstance","commands/_SingleInstance.htm"],
    ["#UseHook","commands/_UseHook.htm"],
    ["#Warn","commands/_Warn.htm"],
    ["#WinActivateForce","commands/_WinActivateForce.htm"]
  ]]
];
